Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158126 - magma-devel has bogus dependency on magma
Summary: magma-devel has bogus dependency on magma
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: magma
Version: 4
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Chris Feist
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-18 20:46 UTC by Charlie Brady
Modified: 2009-04-16 20:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-26 19:51:10 UTC


Attachments (Terms of Use)

Description Charlie Brady 2005-05-18 20:46:08 UTC
I wish to build ccs. I'm told that I need to magma-devel. I try to install
magma-devel, but am told:

[charlieb@localhost SRPMS]$ sudo rpm -Uhv /tmp/magma-devel-1.0-0.pre21.7.i386.rpm
error: Failed dependencies:
        magma = 1.0-0.pre21.7 is needed by magma-devel-1.0-0.pre21.7
[charlieb@localhost SRPMS]$ 

Not trusting this information, I install magma-devel without magma. I am able to
build ccs. Therefore magma-devel is useful without magma. Ergo, the dependency
is bogus.

Comment 1 Lon Hohberger 2005-05-20 20:57:18 UTC
Note that you would do better in building ccs against the dynamic libccs.so
instead of the static lib (libccs.a) provided by the -devel package.

The APIs might not change, but the underlying communication mechanism might...

Comment 2 Lon Hohberger 2005-05-20 20:58:04 UTC
and by that, I meant building ccs against the dynamic libmagma.so instead of the
static libmagma.a :)

Sorry, it's been a long week.

Comment 3 Chris Feist 2005-05-25 22:14:20 UTC
Closing as NOTABUG see bz# 158125.

Comment 4 Charlie Brady 2005-05-25 23:35:50 UTC
> Note that you would do better in building ccs against the dynamic libccs.so
> instead of the static lib (libccs.a) provided by the -devel package.

That's just an argument in favour of including the dynamic libraries in the
-devel package (as well as in the non-devel package). Nothing says a file can't
exist in more than one RPM, right (as long as the file has same size, timestamp,
md5sum, perms, etc).

To reiterate, it is a bug, because you're forcing me to install a package which
I don't want or need, just to satisfy an RPM dependency.

Thanks.

Comment 5 Chris Feist 2005-05-26 19:51:10 UTC
See bz #158125 (additional comments).

Closing as WONTFIX.


Note You need to log in before you can comment on or make changes to this bug.